# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2017-10-14 17:25
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Result',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, primary_key=True, serialize=False)),
                ('output', models.TextField(blank=True, default=None, max_length=4096, null=True)),
                ('returncode', models.IntegerField(blank=True, db_index=True, default=None, null=True)),
                ('_status', models.IntegerField(choices=[(0, 'RUNNING'), (1, 'OK'), (2, 'FAILED')])),
            ],
        ),
        migrations.CreateModel(
            name='Snippet',
            fields=[
                ('id', models.CharField(blank=True, default=None, editable=False, max_length=128, primary_key=True, serialize=False)),
                ('channels_group_name', models.UUIDField(default=uuid.uuid4)),
                ('code', models.TextField(max_length=4096)),
            ],
        ),
        migrations.AddField(
            model_name='result',
            name='snippet',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='results', to='paste_eval.Snippet'),
        ),
    ]
